For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.genAi.model_evaluation_presets.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiListModelEvaluationPresetsOutput>
Description
To list all saved model evaluation presets, send a GET request to /v2/genai/model_evaluation_presets.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.genAi.model_evaluation_presets.get();
Response Example
Show Response Example
{
"presets": [
{
"candidate_model_name": "example name",
"candidate_model_source": "CANDIDATE_MODEL_SOURCE_SERVERLESS",
"candidate_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
"candidate_system_prompt": "2023-01-01",
"created_at": "2023-01-01T00:00:00Z",
"dataset_name": "example name",
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"eval_preset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"judge_model_name": "example name",
"judge_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
"metrics": [],
"name": "example name",
"saved_sections": [
"PRESET_SAVE_SECTION_CANDIDATE",
"PRESET_SAVE_SECTION_METRICS"
]
}
]
}
See /v2/gen-ai/model_evaluation_presets in the API reference for additional detail on responses, headers, parameters, and more.